package test;

import java.io.*;
import java.util.*;
import com.japisoft.fastparser.*;
import com.japisoft.fastparser.node.*;
import com.japisoft.fastparser.walker.*;

/**
 * Tests for multiple criterias node search
 * @author "Alexandre Brillant" <abrillant@wanadoo.fr>
 * @version 1.0 */
public class Tests {
    public Tests() {
	super();
    }

    public static void main( String[] args ) throws Throwable {
	Parser p = new Parser();
	p.setInputStream( new FileInputStream( args[ 0 ] ) );
	p.parse();
	SimpleNode sn = ( SimpleNode )p.getDocument().getRoot();
	System.out.println( "V1:" + sn.getAttribute( "v1", "test Bad" ) );
	System.out.println( "V2:" + sn.getAttribute( "v2", "test Good" ) );
	System.out.println( "Search b:" );
	Enumeration enum;
	enum = sn.getNodeByName( "b", true );
	while ( enum.hasMoreElements() )
	    System.out.println( "-" + enum.nextElement() );
	System.out.println( "Search id:" );
	enum = sn.getNodeByCriteria( new AttributeCriteria( "id" ), true );
	while ( enum.hasMoreElements() )
	    System.out.println( "-" + enum.nextElement() );
	System.out.println( "Search text BB:" );
	enum = sn.getNodeByCriteria( new TextCriteria( "BB" ), true );
	while ( enum.hasMoreElements() )
	    System.out.println( "-" + enum.nextElement() );
	System.out.println( "Search b ou c" );
	enum = sn.getNodeByCriteria( new OrCriteria( new NodeNameCriteria( "b" ), new NodeNameCriteria( "c" ) ), true );
	while ( enum.hasMoreElements() )
	    System.out.println( "-" + enum.nextElement() );
	System.exit( 0 );
    }
}
