package demo;

import com.japisoft.fastparser.*;
import com.japisoft.fastparser.document.Document;
import com.japisoft.fastparser.dom.*;

import java.io.*;

import org.w3c.dom.*;

/**
 * Here a sample of DOM usage. This sample parse and creates a DOM tree, it walks
 * through it and writes the tree structure.
 * 
 * @author (c) 2002-2003 JAPISOFT
 * @version 1.0
 */
public class Demo {

    public Demo() {
	super();   
    }

    static void walk( Node n ) {
	if ( n instanceof Text ) {
	    System.out.println( "TEXT" );
	} else
	      if ( n instanceof Comment ) {
		  System.out.println( "COMMENT" );
	      } else
		    if ( n instanceof Element ) {
			System.out.println( ( (Element)n ).getTagName() );
			NodeList l = ( (Element)n ).getChildNodes();
			for ( int i = 0; i < l.getLength(); i++ ) {
			    walk( l.item( i ) );
			}
		    }
    }

    public static void main( String[] args ) throws Throwable {
	Parser p  = new Parser();
	p.setNodeFactory( new DomNodeFactory() );
	// Parse the first argument file
	System.out.println( "Parse " + args[ 0 ] );
	p.setInputStream( new FileInputStream( args[ 0 ] ) );
	p.parse();
	Document d = p.getDocument();
	// Extract the DOM root
	Element e = ( Element )d.getRoot();
	System.out.println( "SHOW FOUND TAGS" );
	System.out.println( "ROOT = " + e );
	walk( e );
	System.exit( 0 );
    }

}

// Demo ends here
