package demo;

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import javax.swing.tree.*;

import com.japisoft.fastparser.*;
import com.japisoft.fastparser.tools.*;
import com.japisoft.fastparser.document.*;

/**
 * Demonstration of parsing with a Jtree 
 * @author (c) 2002-2003 JAPISOFT
 * @version 1.0 */
public class Demo extends JFrame implements ActionListener {

    private JTree tree;
    private JComboBox mode;

    public Demo() {
	super();   
	JPanel p = new JPanel();
	p.setLayout( new BorderLayout() );
	JButton b = new JButton( "Click to Select an XML file (samples in /xml-data)" );
	mode = new JComboBox( new Object[] { "Error ignored mode", "Low parsing mode", "Medium parsing mode", "High parsing mode" } );
	mode.setSelectedIndex( 2 );
	p.add( b, BorderLayout.NORTH );
	p.add( mode, BorderLayout.SOUTH );

	b.addActionListener( this );
	getContentPane().add( BorderLayout.NORTH, p );
	getContentPane().add( BorderLayout.CENTER, new JScrollPane( tree = new JTree() ) );
	setSize( 400, 400 );
	setTitle( "Swing demo" );
    }

    public void actionPerformed( ActionEvent e ) {
	// XML Selection
	JFileChooser chooser = new JFileChooser( new File( System.getProperty( "user.dir" ) ) );

	int returnVal = chooser.showOpenDialog( this );
	if ( returnVal == JFileChooser.APPROVE_OPTION ) {
            File f = chooser.getSelectedFile();

	    try {

		Parser p = new Parser();

		if ( mode.getSelectedIndex() == 0 ) 
		    p.setParsingMode( Parser.CONTINUE_PARSING_MODE );
		else
		    if ( mode.getSelectedIndex() == 1 ) 
			p.setParsingMode( Parser.LOW_PARSING_MODE );
		    else
			if ( mode.getSelectedIndex() == 2 )
			    p.setParsingMode( Parser.MEDIUM_PARSING_MODE );
			else
			    if ( mode.getSelectedIndex() == 3 )
				p.setParsingMode( Parser.HIGH_PARSING_MODE );

		p.setNodeFactory( new SwingNodeFactory() );
		p.setInputStream( new FileInputStream( f ) );
		p.parse();
		Document d = p.getDocument();
		tree.setModel( new DefaultTreeModel( (TreeNode)d.getRoot() ) );

	    } catch( Throwable th ) {
		th.printStackTrace();
		JOptionPane.showMessageDialog( null, 
					       "Error", 
					       th.getMessage(), 
					       JOptionPane.ERROR_MESSAGE );
	    }
	}
    }

    public static void main( String[] a ) {
	Demo d = new Demo();
	d.setVisible( true );
    }

}

// Demo ends here
