package demo;

import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import java.io.*;

/**
 * Sample of usage with the JDK1.4 / XSL Transformer
 *
 * @author (c) 2002-2003 JAPISOFT
 * @version 1.0
 * @since 1.0
 */
public class Demo {

    public static void main( String[] args ) throws Throwable {
	if ( args.length != 3 ) {
	    System.out.println( "usage : [XSL file] [XML file] [Output file]" );
	    System.exit( 1 );
	}

	String xslFile = args[ 0 ];
	String xmlFile = args[ 1 ];
	String outFile = args[ 2 ];

	// Here I replace the default SAXParserFactory by fastParser parser for XSL parsing
	System.setProperty( "javax.xml.parsers.SAXParserFactory", "com.japisoft.fastparser.tools.FPSAXParserFactory" );

	TransformerFactory tFactory = 
	    TransformerFactory.newInstance();

	Transformer transformer = tFactory.newTransformer( new StreamSource( xslFile ) );

	transformer.transform( new StreamSource( xmlFile ),
			       new StreamResult( new FileOutputStream( outFile ) ) );

    }
}
